Subject: bug#1213 closed by Dan Nicolaescu <[email-masked]> (Re: bug#1213: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit))

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1213: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit) 

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
1213: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1213
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sat Dec 13 10:09:11 2008
Date: Sat, 13 Dec 2008 10:08:57 -0800 (PST)
From: Dan Nicolaescu <[email-masked]>
To: "Michael E. Thomadakis" <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#1213: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit)
Lines: 2

Fixed in CVS HEAD.

>From [email-masked] Mon Oct 20 15:27:57 2008
Date: Mon, 20 Oct 2008 17:27:48 -0500
From: "Michael E. Thomadakis" <[email-masked]>
Organization: Supercomputing Facility/Texas A&M University
Newsgroups: comp.emacs,alt.solaris.x86
Subject: emacs GNU Emacs 22.3.1 (i386-pc-solaris2.10, X toolkit) 
To: undisclosed-recipients:;

I 've just finished compiling GNU emacs 22.3.1 on Solaris 10 (on an 
AMD64) with ./configure line:

  env CC="cc -m32" CFLAGS='-O2' ./configure --with-xpm --with-jpeg 
--with-tiff --with-gif --with-png

where cc is the latest C Workshop 12 Solaris 10 compiler, but when I run it
% ./src/emacs

Memory exhausted--use M-x save-some-buffers then exit and restart Emacs

However, when I use the -nw option the text window emacs launches properly.

Note that I was trying to build a 64-bit version of emacs

env CC="cc -m64" CFLAGS='' ./configure --with-xpm --with-jpeg 
--with-tiff --with-gif --with-png

but src/temacs was core dumping.

Do I need to change anything in the configre line or in the setup of 
Solaris 10 ?

Note that:
[ src > locale
LANG=en_US.UTF-8
LC_CTYPE=en_US.UTF-8
LC_NUMERIC=en_US.UTF-8
LC_TIME=en_US.UTF-8
LC_COLLATE=en_US.UTF-8
LC_MONETARY=en_US.UTF-8
LC_MESSAGES=en_US.UTF-8
LC_ALL=en_US.UTF-8

Any help or hint would be greatly appreciated.

Michael